Skip to main content
PUT
/
v1
/
databricks-auth
Update Databricks Authorization
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/databricks-auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "connectionId": "<string>",
  "authType": "PAT",
  "host": "<string>",
  "httpPath": "<string>",
  "port": 123,
  "accessToken": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>"
}
'
{
  "version": 123,
  "connectionId": "<string>",
  "authType": "PAT",
  "host": "<string>",
  "httpPath": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "port": 123,
  "clientId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
version
integer<int64>
required

Data integrity version to ensure data consistency.

connectionId
string
required

The ID of the Connection this authorization belongs to.

authType
enum<string>
required

The authentication method to use. Possible values: PAT, OAUTH_M2M.

Available options:
PAT,
OAUTH_M2M
host
string
required

The Databricks server hostname.

httpPath
string
required

The HTTP path for the Databricks SQL warehouse or cluster.

port
integer<int32>

The port number for the Databricks connection. Typically 443.

accessToken
string

The personal access token for PAT authentication.

clientId
string

The OAuth client ID for OAUTH_M2M authentication.

clientSecret
string

The OAuth client secret for OAUTH_M2M authentication.

Response

200 - application/json

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

connectionId
string
required

The ID of the Connection this authorization belongs to.

authType
enum<string>
required

The authentication method to use. Possible values: PAT, OAUTH_M2M.

Available options:
PAT,
OAUTH_M2M
host
string
required

The Databricks server hostname.

httpPath
string
required

The HTTP path for the Databricks SQL warehouse or cluster.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

port
integer<int32>

The port number for the Databricks connection. Typically 443.

clientId
string

The OAuth client ID for OAUTH_M2M authentication.